Zoom Contact Center - October 24, 2022

Added

  • New Reports APIs:
    • GET /v2/contact_center/analytics/agents/time_sheets

Enhanced

  • Replaced request fieldchannel_typewithchannel_typesin these Reports APIs:

    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/details/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • Added video, chat, and SMS options tochannel_typesfield in these Reports APIs:

    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/details/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • Added interval request field in these Reports APIs:

    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • Addedstart_time_intervalandend_time_interval response fields in these Reports APIs:

    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • Addeddate_interval, total_answered_users, total_answer_duration, total_hold_duration, total_wrap_up_duration, total_queue_wait_duration, andtotal_abandoned_duration response fields in the Reports APIs:

    • GET /v2/contact_center/analytics/historical/queues/metrics
    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • Addedconsumer_id, consumer_nameandagent_first_message_speed response fields in the Reports API:

    • GET /v2/contact_center/analytics/historical/details/metrics
  • Renamed response fieldstotal_inbound_calls to total_inbound, total_completed_calls to total_completed, total_declined_calls to total_declined, total_missed_calls to total_missed, average_voice_call_talking_duration to inbound_average_talking_duration, longest_call_talking_duration to inbound_longest_talking_duration, shortest_call_talking_duration to inbound_shortest_talking_duration, average_call_wrap_up_duration to inbound_average_wrap_up_duration, longest_call_wrap_up_duration to inbound_longest_wrap_up_duration, shortest_call_wrap_up_duration to inbound_shortest_wrap_up_duration, total_outbound_calls to total_outbound, hangup_outbound_calls to hangup_outbound, short_outbound_calls to short_outboundandlong_outbound_calls to long_outboundfor voice channel in the Reports API:

    • GET /v2/contact_center/analytics/historical/queues/{queueId}/agents/metrics
  • Renamed response fieldstotal_inbound_calls to total_inbound, total_completed_calls to total_completed, short_abandoned_calls to short_abandoned, long_abandoned_calls to long_abandoned, hold_abandoned_calls to hold_abandoned, total_missed_calls to total_missed, average_call_talking_duration to inbound_average_talking_duration, longest_call_talking_duration to inbound_longest_talking_duration, shortest_call_talking_duration to inbound_shortest_talking_duration, average_call_wrap_up_duration to inbound_average_wrap_up_duration, longest_call_wrap_up_duration to inbound_longest_wrap_up_duration, shortest_call_wrap_up_duration to inbound_shortest_wrap_up_duration, average_call_waiting_duration to inbound_average_waiting_duration, longest_call_waiting_duration to inbound_longest_waiting_duration, shortest_call_waiting_duration to inbound_shortest_waiting_duration, total_outbound_calls to total_outbound, hangup_outbound_calls to hangup_outbound, short_outbound_calls to short_outbound and long_outbound_calls to long_outboundfor voice channel in the Reports API:

    • GET /v2/contact_center/analytics/historical/queues/metrics
  • Added in_app_chat option to channel_types request/response field in the Queues APIs:

    • POST /v2/contact_center/queues
    • GET /v2/contact_center/queues
  • Added wrap_up_expiration, overflow_to_goodbye_message, overflow_to_queue_id, overflow_to_flow_id, overflow_to_inbox_id, auto_close_message, auto_close_message_enabled, auto_close_timeout, auto_close_alert_message auto_close_alert_message_enabled, auto_close_alert_message_time, auto_closed_settings, auto_closed_time, andrecording_storage_location response fields in the Queues API:

    • PATCH /v2/contact_center/queues/{queueId}
    • GET /v2/contact_center/queues/{queueId}
  • Added country_iso_code response/request field in the Users APIs:

    • GET /v2/contact_center/users/{userId}
    • GET /v2/contact_center/users
    • POST /v2/contact_center/users
    • PATCH /v2/contact_center/users

Fixed

  • Fix Webhook event contact_center.user_status_changed does not get sent when an agent is offered an engagement but does not accept.